package navigationtimemapp.mobile;

import oracle.adfmf.amx.event.ActionEvent;

public class TimerBean
{
	protected long fStartTimerMillis = 0;

	public void startTimer(ActionEvent pActionEvent)
	{
		fStartTimerMillis = System.currentTimeMillis();
	}

	public String getTimerInfo()
	{
		if (fStartTimerMillis == 0)
		{
			return "no timer info yet";
		}
		long vMillisAgo = System.currentTimeMillis() - fStartTimerMillis;
		return "timer started " + vMillisAgo + " milliseconds ago";
	}
}
